### Method

# GdkPixbuf Pixbuf read_pixels

since: 2.32

#### Declaration [src]

    const guint8*
    gdk_pixbuf_read_pixels (
      const GdkPixbuf* pixbuf
    )

#### Description [src]

Provides a read-only pointer to the raw pixel data.

This function allows skipping the implicit copy that must be made if `gdk_pixbuf_get_pixels()` is called on a read-only pixbuf.

Available since: 2.32

#### Return value

Type: `const guint8*`

A read-only pointer to the raw pixel data.

The returned data is owned by the instance.